/**
 * 新购确认管理页面 API
 */
import request from '@/utils/request'

/** 新购确认查询 */
export const queryPurchaseConfirmListApi = (data) => {
  return request.get('/task/purchase/arrival/list', {
    params: data
  })
}

/** 厂家查询 */
export const queryFactoryListApi = (data) => {
  return request.get('/base/maHouse/all', {
    params: data
  })
}

/** 类型规格查询 */
export const queryTypeListApi = (data) => {
  return request.get('/task/arrival/cascader', {
    params: data
  })
}

/** 根据value查询单位 */
export const queryMeterByVal = (data) => {
  return request.get(`/task/arrival/cascaderById`, {
    params: data
  })
}

/** 提交到货确认 */
export const confirmArrivalApi = (data) => {
  return request.put('/task/purchase/arrival/confirm', data)
}

/** 删除新增到货 */
export const delArrivalApi = (id) => {
  return request.delete(`/task/arrival/delete/${id}`, {})
}

/** 新购到货新增 */
export const addArrivalApi = (data) => {
  return request.post('/task/arrival/add', data)
}



